using System;

namespace drugiKrugPrvi
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] input = Console.ReadLine().Split();
            int n = Convert.ToInt32(input[0]);
            int k = Convert.ToInt32(input[1]);

            input = Console.ReadLine().Split();

            if (input[n - 1] == k.ToString()) { Console.WriteLine(input[0]); }
            else
            {
                for (int i = 0; i < n - 1; i++)
                {
                    if (input[i] == k.ToString()) {
                        Console.WriteLine(input[i + 1]);
                    }
                }
            }
        }
    }
}